# QDataWidgetMapper Class Reference

### [com.trolltech.qt.gui package]

Inherits QObject.

### Constructor

- void QDataWidgetMapper(QObject parent)

### Constructor Properties

- prototype: The QDataWidgetMapper prototype object
- AutoSubmit
- ManualSubmit
- SubmitPolicy( value )

### Prototype Object Properties

The QDataWidgetMapper prototype object inherits properties from the QObject prototype object and also has the following properties.

- void addMapping(QWidget widget, int section)
- void clearMapping()
- QAbstractItemDelegate itemDelegate()
- QByteArray mappedPropertyName(QWidget widget)
- int mappedSection(QWidget widget)
- QWidget mappedWidgetAt(int section)
- QAbstractItemModel model()
- void removeMapping(QWidget widget)
- QModelIndex rootIndex()
- void setItemDelegate(QAbstractItemDelegate delegate)
- void setModel(QAbstractItemModel model)
- void setRootIndex(QModelIndex index)

### Instance Properties

QDataWidgetMapper objects inherit properties from the QDataWidgetMapper prototype object and also have the following properties.

- currentIndex
- orientation
- submitPolicy